> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/geopard-api-requests-overview/82.-query-restore-subscription-events.md).

# 82. Consulta: restaurar eventos de suscripción

Siempre es una buena práctica poder restaurar o volver a comprobar los eventos de suscripción entregados frente a los generados. Por eso, GeoPard almacena el historial de todos los eventos de suscripción generados durante los **últimos 12 meses**.

Casos de uso habituales:

* La conexión a Internet era deficiente y no se entregaron los eventos
* Nueva implementación del receptor de WebSocket
* Comprobar la coherencia entre los eventos recibidos y los generados

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        action
        nodePath {
          entity
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

Filtros de entrada admitidos:

* `dateFrom` como fecha y hora en formato ISO 8701 (por ejemplo: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` como fecha y hora en formato ISO 8701 (por ejemplo: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` como matriz de UUID de «Farm» que se buscarán
* `fieldUuids` como matriz de UUID de «Field» que se buscarán
* `userUuids` como matriz de UUID de "User" para buscar
* `eventUuids` como matriz de UUID de los «Event» de suscripción

{% hint style="info" %}
Todos los filtros se combinan mediante el operador lógico **AND**.
{% endhint %}

{% hint style="info" %}
Cada evento de suscripción tiene un atributo `executionDate` vinculado al momento de envío y expresado en el formato AWSDateTime, compatible con ISO 8601 DateTime.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/geopard-api-requests-overview/82.-query-restore-subscription-events.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
